---
title: "Get all datasets"
slug: "get-all-datasets"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all datasets

Get/v1/datasets

Get detailed information of all datasets that the current user has access to.

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Query parametersnamestring

Dataset name

descriptionstring

Dataset description.

filterstring

Filter to use for items, currently supports labels, syntax: {"labels":{"key1":"value1","key2":"value2"}}

limitinteger

Maximum numbers of datasets to return.

offsetinteger

Number of datasets to skip from start.

Responses200<select class='api-response-data' aria-label='Media type'><option value='3a32b044-68a9-45cd-86ee-726774f95352'>application/json</option>
</select>Expand Allobject  metadataobject (SearchMetadata)  pageinteger    

Current page number

pagesinteger    

Total pages as per the item counts and page limit.

limitinteger    

Number of items to limit in a page.

total_countinteger    

Total number of unfiltered items.

filtered_countinteger    

Total number of items as per the current filter.

items Array of object (Dataset)   object  dataset_idstring  (uuid)    
namestring    
ownerstring  (uuid)    
creator_idstring  (uuid)    
group_idstring  (uuid)    
created_atinteger  (int64)    

Dataset creation time (seconds since epoch).

updated_atinteger  (int64)    

Last update UNIX timestamp (seconds since epoch).

descriptionstring    
locationstring    
labelsobject  property*string    additionalProperties

credentialsobject (DatasetCredentials)  sdkmsobject (SdkmsCredentials)  credentials_urlstring    
credentials_key_namestring    

metadataobject (DatasetMetadata)  

Metadata about the dataset.

last_workflow_outputinteger  (int64)    
long_descriptionstring    

A github-flavored markdown-formatted string that will be rendered in UI for viewing a summary of this dataset, limited to 16KiB.
